package com.younki.maidmatching.services.HTTP;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class UserResponse {
    @SerializedName("error")
    private boolean error;

    @SerializedName("message")
    private String message;

    @SerializedName("data")
    private List<Data> data;

    public boolean isError() {
        return error;
    }

    public void setError(boolean error) {
        this.error = error;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public List<Data> getData() {
        return data;
    }

    public void setData(List<Data> data) {
        this.data = data;
    }

    public static class Data {
        private int id;
        private int role;
        private String name;
        private String username;
        private String email;
        private List<Skill> skill;
        private Profile profile;

        public static class Skill {
            private int skill_id;
            private String name;

            public int getSkill_id() {
                return skill_id;
            }

            public void setSkill_id(int skill_id) {
                this.skill_id = skill_id;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }
        }

        public static class Profile {
            private String image;
            private String phone;
            private String address;
            private String location;
            private String birthdate;
            private String gender;

            private String marital_status;
            private String last_education;
            private String additional_skills;
            private String desired_salary;
            private int kyc;

            public String getImage() {
                return image;
            }

            public void setImage(String image) {
                this.image = image;
            }

            public String getPhone() {
                return phone;
            }

            public void setPhone(String phone) {
                this.phone = phone;
            }

            public String getAddress() {
                return address;
            }

            public void setAddress(String address) {
                this.address = address;
            }

            public String getLocation() {
                return location;
            }

            public void setLocation(String location) {
                this.location = location;
            }

            public String getBirthdate() {
                return birthdate;
            }

            public void setBirthdate(String birthdate) {
                this.birthdate = birthdate;
            }

            public String getGender() {
                return gender;
            }

            public void setGender(String gender) {
                this.gender = gender;
            }

            public String getMarital_status() {
                return marital_status;
            }

            public void setMarital_status(String marital_status) {
                this.marital_status = marital_status;
            }

            public String getLast_education() {
                return last_education;
            }

            public void setLast_education(String last_education) {
                this.last_education = last_education;
            }

            public String getAdditional_skills() {
                return additional_skills;
            }

            public void setAdditional_skills(String additional_skills) {
                this.additional_skills = additional_skills;
            }

            public String getDesired_salary() {
                return desired_salary;
            }

            public void setDesired_salary(String desired_salary) {
                this.desired_salary = desired_salary;
            }

            public int getKyc() {
                return kyc;
            }

            public void setKyc(int kyc) {
                this.kyc = kyc;
            }
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getRole() {
            return role;
        }

        public void setRole(int role) {
            this.role = role;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getUsername() {
            return username;
        }

        public void setUsername(String username) {
            this.username = username;
        }

        public String getEmail() {
            return email;
        }

        public void setEmail(String email) {
            this.email = email;
        }

        public List<Skill> getSkill() {
            return skill;
        }

        public void setSkill(List<Skill> skill) {
            this.skill = skill;
        }

        public Profile getProfile() {
            return profile;
        }

        public void setProfile(Profile profile) {
            this.profile = profile;
        }
    }
}
